Package org.apache.sysds.runtime.instructions.ooc

# Class ComputationOOCInstruction

java.lang.Object
org.apache.sysds.runtime.instructions.Instruction
org.apache.sysds.runtime.instructions.ooc.OOCInstruction
org.apache.sysds.runtime.instructions.ooc.ComputationOOCInstruction

Direct Known Subclasses:
  `AggregateTernaryOOCInstruction`, `AggregateUnaryOOCInstruction`, `BinaryOOCInstruction`, `CSVReblockOOCInstruction`, `CtableOOCInstruction`, `MapMMChainOOCInstruction`, `MMultOOCInstruction`, `ParameterizedBuiltinOOCInstruction`, `QuaternaryOOCInstruction`, `ReblockOOCInstruction`, `ReorgOOCInstruction`, `ReshapeOOCInstruction`, `TeeOOCInstruction`, `TernaryOOCInstruction`, `TSMMOOCInstruction`, `UnaryOOCInstruction`

public abstract class ComputationOOCInstruction extends OOCInstruction

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.ooc.OOCInstruction

`OOCInstruction.OOCMatrixBlockTracker, OOCInstruction.OOCType`

## Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.Instruction

`Instruction.IType`

## Field Summary

Fields
Modifier and Type
Field
Description
`CPOperand`
`input1`
`CPOperand`
`input2`
`CPOperand`
`input3`
`CPOperand`
`input4`
`CPOperand`
`output`

### Fields inherited from class org.apache.sysds.runtime.instructions.ooc.OOCInstruction

`_callerId, ALLOW_PIPELINING, COMPUTE_EXECUTOR`

### Fields inherited from class org.apache.sysds.runtime.instructions.Instruction

`DATATYPE_PREFIX, FEDERATED_INST_PREFIX, GPU_INST_PREFIX, INSTRUCTION_DELIM, LITERAL_PREFIX, OOC_INST_PREFIX, OPERAND_DELIM, SP_INST_PREFIX, VALUETYPE_PREFIX`

## Method Summary

Modifier and Type
Method
Description
`String`
`getOutputVariableName()`

### Methods inherited from class org.apache.sysds.runtime.instructions.ooc.OOCInstruction

`getComputeBackpressureThreshold, getComputeInFlight, getGraphString, getOOCInstructionType, getType, postprocessInstruction, preprocessInstruction, processInstruction, requiresLabelUpdate`

### Methods inherited from class org.apache.sysds.runtime.instructions.Instruction

`getBeginColumn, getBeginLine, getEndColumn, getEndLine, getExtendedOpcode, getFilename, getInstID, getInstructionString, getLineNum, getOpcode, getOperator, printMe, setInstID, setLocation, setLocation, setLocation, setLocation, toString, updateInstructionThreadID`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### output

public CPOperand output

### input1

public CPOperand input1

### input2

public CPOperand input2

### input3

public CPOperand input3

### input4

public CPOperand input4

## Method Details

### getOutputVariableName

public String getOutputVariableName()